GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
stap_probe_arg Struct Reference

## Public Member Functions
| stap_probe_arg (enum stap_arg_bitness bitness_, struct type *atype_, expression_up &&aexpr_)

## Public Attributes
enum stap_arg_bitness | bitness
struct type * | atype
expression_up | aexpr

## Detailed Description

Definition at line 82 of file stap-probe.c.

## Constructor & Destructor Documentation

## ◆ stap_probe_arg()

stap_probe_arg::stap_probe_arg | ( | enum stap_arg_bitness | bitness_,
|  | struct type * | atype_,
|  | expression_up && | aexpr_
| ) |  |
| inline

Definition at line 85 of file stap-probe.c.

## Member Data Documentation

## ◆ aexpr

expression_up stap_probe_arg::aexpr

Definition at line 97 of file stap-probe.c.

Referenced by stap_probe::compile_to_ax(), and stap_probe::evaluate_argument().

## ◆ atype

struct type* stap_probe_arg::atype

Definition at line 94 of file stap-probe.c.

Referenced by stap_probe::compile_to_ax(), and stap_probe::evaluate_argument().

## ◆ bitness

enum stap_arg_bitness stap_probe_arg::bitness

Definition at line 91 of file stap-probe.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/stap-probe.c